Delete a charge
Needs: Tasks, Read-write
Deletes a task charge. Billed charges cannot be deleted. Confirm before calling this.
curl -X DELETE "https://app.imploy.com.au/api/integrations/v1/task-charges/123" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/task-charges/123"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.delete(url, headers=headers)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/task-charges/123", {
method: "DELETE",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("DELETE", "https://app.imploy.com.au/api/integrations/v1/task-charges/123", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/task-charges/123')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"deleted": 7,
"data": {
"id": 90,
"title": "Review care plan",
"date": "2026-03-02",
"client": {
"id": 12,
"name": "Example Client"
},
"assignee": {
"id": 40,
"name": "Example Admin"
},
"minutes": 30,
"price_code": 301,
"charge": "Care management",
"billable": true,
"completed": false,
"charges": [],
"can_edit": true
}
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Too many requests."
}
DELETE
/task-charges/{id}DELETE
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredAn organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
An organisation access token that starts with
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.path
idinteger
RequiredThe charge id.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Path Parameters
idinteger
RequiredThe charge id.
Responses
OK
Was this page helpful?